
CoCoA-5 - Feature #1724

New function: AdjacentMinors

16 Feb 2023 09:26 - Anna Maria Bigatti

Status: Closed Start date: 16 Feb 2023

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.50 hour

Description

For CoCoA School Hue.

Choose the best interface.

History

#1 - 27 Feb 2023 11:48 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 70

done and pre-released for testing

Still to do: manual

#2 - 13 Mar 2023 18:41 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

Documentation done

/**/ use P ::= QQ[x[1..4],y[1..4]];

/**/ M := matrix([indets(P,"x"), indets(P,"y")]);  M;

matrix( /*RingWithID(14, "QQ[x[1],x[2],x[3],x[4],y[1],y[2],y[3],y[4]]")*/

 [[x[1], x[2], x[3], x[4]],

  [y[1], y[2], y[3], y[4]]])

/**/ AdjacentMinors(M,2);

[-x[2]*y[1] +x[1]*y[2],  -x[3]*y[2] +x[2]*y[3],  -x[4]*y[3] +x[3]*y[4]]

#3 - 14 Mar 2023 11:53 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
